# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
ctrl_img_vw.py :
    manage image viewer
"""
# standard library imports

# related third party imports

from pitivi.action import ViewAction
from pitivi.pipeline import Pipeline

# local application/library specific imports
from luciole.ctrl.base import ProjectMode


class ProjectModeImgVw(ProjectMode) :
    """ Base class """
    __signals__ = {}
    
    def __init__(self, ctrl_project,  mode_type = None) :
        ProjectMode.__init__(self, ctrl_project, "IMAGE_VIEW") 

  
       

           

        
    def prepare(self, project) :
        """ prepare image viewer """
        ProjectMode.prepare(self, project)
        

    def release(self) : 
        """ Meta function
        release """
        ProjectMode.release(self)

        
    def active_viewer(self, factory) :
        self._pipeline = Pipeline()
        self._view_action = ViewAction()

        self.debug(" factory to play :%s", factory)
        self._view_action.addProducers(factory)
        if self._viewer :
            self._viewer.setPipeline(None, 'IMAGE_VIEW')
            self._viewer.hideSlider()
       
            self._viewer.setAction(self._view_action)
            self._viewer.setPipeline(self._pipeline, 'IMAGE_VIEW')
            self._pipeline.play()
    
    def stop(self) :

            self._pipeline.stop()

        


