#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
ctrl_no_project.py :
    manages no project loaded mode
"""
# standard library imports
# N/A

# related third party imports
from pitivi.signalgroup import SignalGroup

# local application/library specific imports
from luciole.ctrl.base import ProjectMode

class ProjectModeNoProject(ProjectMode) :
    __signals__ = {
                }

    def __init__(self, ctrl_project) :
        ProjectMode.__init__(self, ctrl_project, "NO_PROJECT") 
        self.gui_signals = SignalGroup()
    
    def prepare(self, project) :
        """ Nothing to prepare """
        pass

    def release(self) :
        ProjectMode.release(self)

    def active_viewer(self) :
        if self._viewer :
            self._viewer.setPipeline(None, "NO_PROJECT")
        else :
            self.error("No viewer set")
        

 
