#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#a
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
""" 
constants.py :
	GUI constants
"""

#
# CONTROL WIDGER constants
#
(   LOAD_OR_CREATE, 
        ACQUISTION_INACTIVE, 
        ACQUISITION_ACTIVE, 
        ACQUISITION_ACTIVE_WITH_MIXER) = range(4)

#
# GUI module private/internal signals
#
PRIV_SIGNALS = [
        "acquisition-toggled",
        "scale-ply-format-value",
        "scale-ply-btn-press",
        "scale-ply-btn-rlse",
        "open-project",
        ]

#
# widget names ftom GLADE / gk.builder in luciole.glade
#
STATUS_BAR            = "statusbar1"
STATUS_PROGESS_BAR    = "progressbar_status" 

PROJECT_MODE_CONTAINER = "aspectframe_for_mode"

TV_CAPTURE            = "treeview_capture"
TV_CHRONO             = "treeview_montage"

# ACTION

ACTION_QUIT = "ActionQuit"
ACTION_ABOUT = "ActionAbout"
ACTION_PREFERENCES = "ActionPreferences"
ACTION_OPEN = "ActionOpen"
ACTION_NEW = "ActionNew"

ACTION_CLOSE = "ActionClose"
ACTION_SAVE = "ActionSave"
ACTION_SAVE_AS = "ActionSaveAs"
ACTION_IMPORT_IMAGE = "ActionImportImage"
ACTION_EXPORT_VIDEO = "ActionExportVideo"
ACTION_EXPORT_TOOL = "ActionExportTool"

ACTION_TV_CAPTURE = 'ActionTreeviewCapture'
ACTION_TV_CHRONO = 'ActionTreeviewChrono'


ACTION_SNAPSHOT = 'ActionSnapshot'
ACTION_ACQUISITION = 'ActionAcquisition'
ACTION_MIXER = 'ActionMixer'
ACTION_IMPORT_SOUND = 'ActionImportSound'
ACTION_SOUND_ACTIVE = 'ToggleActionSound'
ACTION_SOUND_STOP_WITH_VIDEO = 'ToggleActionSoundStopWithVideo'

ACTION_FPI = 'ActionFpi'
ACTION_UP = 'ActionUp'
ACTION_DOWN = 'ActionDown'
ACTION_MOVE_TO_CHRONO = 'ActionMoveToChrono'
ACTION_TRASH_CHRONO = 'ActionTrashChrono'





#
# defined in acqusisition_mode.glade and no_project_mode.glade
#
MODE_MAIN_WIDGET = "aspectframe_mode"
#
# defined in acqusisition_mode.glade
#
ACQUISITION_CAPTURE_WDG = "hbox_capture"
ACQUISITION_CAPTURE_ALPHA_WDG = "alpha_hscale"
ACQUISITION_BUTTON = 'acquisition_button'

SNAPSHOT_BUTTON = 'snapshot_button'
MIXER_CHECK_BUTTON = 'mixer_checkbutton'

#
# defined in no_project_mode.glade
#
NO_PROJECT_OPEN_BTN = 'button_open'
NO_PROJECT_NEW_BTN = 'button_new'


#
# specific stock icons
#
STOCK_ACQUISITION = "luciole-acq"
STOCK_ACQUISITION_ITEM = (STOCK_ACQUISITION, "Acquisition", 0 , 0, "") 
STOCK_SNAPSHOT = "luciole-snapshot"
STOCK_SNAPSHOT_ITEM = (STOCK_ACQUISITION, "STOCK_SNAPSHOT", 0 , 0, "") 


STOCKS = [
    STOCK_ACQUISITION,
    STOCK_SNAPSHOT,
    ]

