#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
common.py
    common functions for test 
"""
# standard library imports
import os
import shutil
# related third party imports
from pitivi.log import log

# local application/library specific imports

def init_log() :
    enable_color = os.environ.get('PITIVI_DEBUG_NO_COLOR', '0') in ('', '0')
    log.init('PITIVI_DEBUG', enable_color)

def rmdir(path) :
    if os.path.exists(path) :
        # delete folder
        shutil.rmtree(path)


