#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Mode: Python -*-
# vim:si:ai:et:sw=4:sts=4:ts=4
#
# Copyright Nicolas Bertrand (nico@inattendu.org), 2009-2010
#
# This file is part of Luciole.
#
#    Luciole is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Luciole is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Luciole.  If not, see <http://www.gnu.org/licenses/>.
#
#
"""
test_assistant_new_project.py :    
    GTK assistant for creation of new projects
"""
# standard library imports
import os.path
import shutil

# related third party imports
import pygtk
pygtk.require('2.0')
import gtk
import gobject 
import pygst
pygst.require('0.10')

from pitivi.log.loggable import Loggable

# local application/library specific imports
from common import init_log

#tested module
from luciole.gui.windows.assistant_new_project import AssistantNewProject

PROJECT_NAME = 'test_luciole'
PROJECT_PATH = '/home/nico/temp/testLuciole'

class Tester(Loggable) :

    def __init__(self) :
        Loggable.__init__(self)
        self.debug('starting tester')
        gobject.threads_init() 
        window = gtk.Window()
        window.connect('destroy', lambda w: gtk.main_quit())
        window.show_all()
        
        # start assistant
        _ass =AssistantNewProject(self._apply_cb)
        self.prepare_assistant(_ass)
               
    def _apply_cb(self, project_data) :
        self.debug('received aplly cb -- project_data =%s', project_data )

    def prepare_assistant(self, ass) :
        # delete existing project
        _p_path = os.path.join(PROJECT_PATH, PROJECT_NAME)
        if os.path.exists(_p_path) :
            # delete folder
            self.debug('Deleting folder %s', _p_path)
            shutil.rmtree(_p_path)

        # set on assistant project name
        ass._pg1.entry_project_name.set_text(PROJECT_NAME)
        # set a folder
        ass._pg1._file_chooser.set_current_folder(PROJECT_PATH)


if __name__ == '__main__' :
    init_log()
    Tester()
    gtk.main()


